# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Initializing variables
    url_dl = "https://catalog.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/caa3ff4a-6420-4341-aeae-33b2d7f463be/public/windows11.0-kb5027397-x64_3a9c368e239bb928c32a790cf1663338d2cad472.msu"
    proxies = get_proxies()
    latest_bin = url_dl.split('/')[1]
    version = control.get_software_version()

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(url_dl, latest_bin, proxies=proxies)

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing version to: %s in WAPT\\control" % control.version)